Class List Method List File List

# Module: OSX::NSKeyValueCodingAttachment

Includes:
  NSKVCAccessorUtil
Included in:
  OCObjWrapper
Defined in:
  src/ruby/osx/objc/oc_import.rb

## Overview

Interface getter/setter methods from Objecite-C objects via Key-Value Coding.

## Instance Method Summary (collapse)

- - (Object) rbSetValue_forKey(value, key)

  Invoked from setValue:forUndefinedKey: of an Objective-C object.

- - (Object) rbValueForKey(key)

  Invoked from valueForUndefinedKey: of an Objective-C object.

## Instance Method Details

### - (`Object`) rbSetValue_forKey(value, key)

Invoked from setValue:forUndefinedKey: of an Objective-C object

    556
    557
    558
    559
    560
    561
    562
    # File 'src/ruby/osx/objc/oc_import.rb', line 556

    def rbSetValue_forKey(value, key)
      if m = kvc_setter_method(key.to_s)
        send(m, value)
      else
        kvc_accessor_notfound(key)
      end
    end

### - (`Object`) rbValueForKey(key)

Invoked from valueForUndefinedKey: of an Objective-C object

    547
    548
    549
    550
    551
    552
    553
    # File 'src/ruby/osx/objc/oc_import.rb', line 547

    def rbValueForKey(key)
      if m = kvc_getter_method(key.to_s)
        return send(m)
      else
        kvc_accessor_notfound(key)
      end
    end